proc Addr_AllFolders { {force 0} } {
    global flist mhProfile addrFile homeDir addr_list

    foreach f $flist(allfolders) {
	Exmh_Status "Updating address book +$f"
	catch {exec $mhProfile(scan-proc) +$mhProfile(path)/$f -width 1000 -f $mhProfile(path)/scan.address 2>/dev/null >> $homeDir/$addrFile}
    }
    Exmh_Status "Reloading address book" blue
    unset addr_list
    set addr_list(noone@nowhere.nada.zip) 1; #make this an array too.
    Addr_LoadDB
    Exmh_Status "Done" blue
}
